ranges::v3::concepts::IndirectlyCopyableStorable Struct Reference
Inheritance diagram for ranges::v3::concepts::IndirectlyCopyableStorable:

## Public Member Functions

template<typename I , typename O >

auto

requires_ () -> decltype(concepts::valid_expr(concepts::model_of< Copyable, Readable::value_t< I >>(), concepts::model_of< Constructible, Readable::value_t< I >, Readable::reference_t< I >>(), concepts::model_of< Assignable, Readable::value_t< I > &, Readable::reference_t< I >>(), concepts::model_of< Writable, O, Readable::common_reference_t< I >>(), concepts::model_of< Writable, O, Readable::value_t< I > const &>()))

Public Member Functions inherited from ranges::v3::concepts::refines< IndirectlyCopyable >
void | requires_ ()

## Additional Inherited Members

Public Types inherited from ranges::v3::concepts::refines< IndirectlyCopyable >
using | base_concepts_t = meta::list< Concepts... >